Start a new topic

Issue when building app in xcode

Hello;

here is my configuration ;


App developed on PC with phonegap CLI.
Working fine including AR on my iphone when pluged to the pc with phonegap.app

Then i copy the directory to the mac to build the ios version in xcode (as i always do); This is where the build fail

Undefined symbols for architecture x86_64:

  "_OBJC_CLASS_$_WTArchitectStartupConfiguration", referenced from:

      objc-class-ref in WTWikitudePlugin.o

      objc-class-ref in WTARViewController.o

  "_OBJC_CLASS_$_WTArchitectView", referenced from:

      objc-class-ref in WTWikitudePlugin.o

      objc-class-ref in WTARViewController.o

     (maybe you meant: _OBJC_CLASS_$_WTArchitectViewController)

  "_OBJC_CLASS_$_WTAuthorizationRequestManager", referenced from:

      objc-class-ref in WTWikitudePlugin.o

  "_kWTScreenshotSaveModeKey", referenced from:

      -[WTWikitudePlugin didReceiveDidCapturedScreenNotification:] in WTWikitudePlugin.o

  "_kWTScreenshotBundleDirectoryKey", referenced from:

      -[WTWikitudePlugin captureScreen:] in WTWikitudePlugin.o

      -[WTWikitudePlugin didReceiveDidCapturedScreenNotification:] in WTWikitudePlugin.o

  "_kWTUnauthorizedAppleiOSSDKAPIsKey", referenced from:

      +[WTWikitudePlugin composeFailingAPIAuthorizationMessageFromError:] in WTWikitudePlugin.o

      ___34-[WTWikitudePlugin requestAccess:]_block_invoke in WTWikitudePlugin.o

ld: symbol(s) not found for architecture x86_64

clang: error: linker command failed with exit code 1 (use -v to see invocation)



After trying several time i noticed that when i first install the  pluging with phone gap cli i get an error ( but its still working on phonegap app)

Running command: sh C:\wamp\www\MYAPP\APP\plugins\com.wikitude.phonegap.WikitudePlugin\scripts\configure_wikitude_sdk_framework.sh C:\wamp\www\MYAPP\APP

'sh' n'est pas reconnu en tant que commande interne

ou externe, un programme executable ou un fichier de commandes.

Failed to install 'com.wikitude.phonegap.WikitudePlugin': Error: Hook failed with error code ENOENT: C:\wamp\www\MYAPP\APP\plugins\com.wikitude.phonegap.WikitudePlugin\scripts\configure_wikitude_sdk_framework.sh

    at C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-lib\src\hooks\HooksRunner.js:224:23 at _rejected (C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\q\q.js:864:24)

    at C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\q\q.js:890:30

    at Promise.when (C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\q\q.js:1142:31)

    at Promise.promise.promiseDispatch (C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\q\q.js:808:41)

    at C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\q\q.js:624:44

    at runSingle (C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\q\q.js:137:13)

    at flush (C:\Users\nicol\AppData\Roaming\npm\node_modules\phonegap\node_modules\q\q.js:125:13)

    at processTicksAndRejections (internal/process/task_queues.js:75:11)

Hook failed with error code ENOENT: C:\wamp\www\MYAPP\APP\plugins\com.wikitude.phonegap.WikitudePlugin\scripts\configure_wikitude_sdk_framework.sh



... any idea would be good ...thks


Hi;

I am using the latest phonegap cli ; build ios@5.0.0

com.wikitude.phonegap.wikitudeplugin@8.0 (i can't find the 8.5 version as i think i'm eligible with my licence (SDK Pro 3D 2019-06-26 )) right ?


I do have the same issue with the sample project  (i have tried different sdk version ; adding file in the directory, auto setup ...etc.)

I think i'm building for the right architecture but i'm not really sure of that... the SDK is included in the framework... where do i change the value?


Thanks for ur help





Hi Nicolas,


Could you please provide the following details:


Thx and greetings

Nicola



Login or Signup to post a comment